/**
 * 
 */
package org.springblade.etl.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author wookvn
 *
 */
public enum FlinkDeployMode implements DictInstance {
	
	APPLICATION(1, "Application"),
    PER_JOB(2, "Per-Job"),
    SESSION(3, "Session"),
    ;

	@EnumValue
    private Integer value;
    private String label;

    FlinkDeployMode(Integer value, String label) {
        this.value = value;
        this.label = label;
    }
    
	@Override
	public Integer getValue() {
		return value;
	}

	@Override
	public String getLabel() {
		return label;
	}

}
